$(function () {
	$('#exercise_DIV_time_div .input-group.date').datepicker({
        todayBtn: "linked",
        keyboardNavigation: false,
        forceParse: false,
        calendarWeeks: true,
        autoclose: true
    });

	$('#download_15').hide();
	$('#label_15').hide();
	$('#download_61').hide();
	$('#label_61').hide();

	all_order();
	getSaveData();
	StatusCheck();
})

var ocarina = self.setInterval("timeCircleSave()",600000);

var oTable;
var processStatus = 0
// 问卷状态自检
function StatusCheck() {
	if (processStatus === 2){
		$('#rejectLabel').show();
		$('#rejectReason').show();
	} else {
		$('#rejectLabel').hide();
		$('#rejectReason').hide();
	}
}

// 验证、填数据用列表
var option_list = [
	{ num: 1, name: '1.基本信息', table: '', max: 0 },
	{ num: 2, name: '2.众创空间场地情况', table: '', max: 0  },
	{ num: 3, name: '3.是否租赁场地', table: '', max: 0  },
	{ num: 4, name: '4.众创空间配备专职工作人员情况', table: 'professionalEmploy', max: 20  },
	{ num: 5, name: '5.入孵企业情况', table: 'incubates', max: 80  },
	{ num: 6, name: '6.新增就业情况', table: 'newPost', max: 80  },
	{ num: 7, name: '7.开设创新创业课程情况', table: 'newCourse', max: 20  },
	{ num: 8, name: '8.签约创业导师情况', table: 'newTeacher', max: 40  },
	{ num: 9, name: '9.组织双创活动情况', table: 'activity', max: 13  },
	{ num: 10, name: '10.参赛情况', table: 'competition', max: 5  },
	{ num: 11, name: '11.2021年创新创业工作经费', table: '', max: 0  },
	{ num: 12, name: '12.申报成功高校众创空间联盟发布的创新创业研究课题信息', table: 'twelve', max: 2  },
	{ num: 13, name: '13.在孵企业销售收入或累计合同额情况(表1)', table: 'thirteen', max: 80  },
	{ num: 14, name: '13.本评估周期实现股权或债权融资情况(表2)', table: 'borrow', max: 10  },
	{ num: 15, name: '14.主办或承办市级及以上级别路演、双创周活动', table: 'fourteen', max: 10  },
	{ num: 16, name: '15.在孵企业在OTC高校板挂牌情况', table: 'fifteen', max: 8  },
	{ num: 17, name: '16.在孵企业新增知识产权（包括专利、软著等）', table: 'sixteen', max: 80  },
	{ num: 18, name: '17.获得“互联网+”大赛全国赛事奖项情况', table: 'seventeen', max: 20  },
	{ num: 19, name: '18.获得创客马拉松大赛及市教委组织的其他双创大赛奖项情况', table: 'eighteen', max: 20  },
	{ num: 20, name: '19.入选天津市创业拔尖项目情况', table: 'nineteen', max: 3  },
	{ num: 21, name: '20.是否为国家级备案众创空间', table: ''  },
	{ num: 22, name: '21.是否为国家创业孵化示范基地', table: ''  },
];

var broList = [
	{ option: '1', num: 1},
	{ option: '2', num: 1},
	{ option: '3', num: 1},
	{ option: '4', num: 1},
	{ option: '5', num: 2},
	{ option: '6', num: 2},
	{ option: '7', num: 3},
	{ option: '8', num: 3},
	{ option: '9', num: 4},
	{ option: '10', num: 4},
	{ option: '11', num: 4},
	{ option: '12', num: 4},
	{ option: '13', num: 4},
	{ option: '14', num: 4},
	{ option: '15', num: 4},
	{ option: '16', num: 5},
	{ option: '17', num: 5},
	{ option: '18', num: 5},
	{ option: '19', num: 5},
	{ option: '20', num: 5},
	{ option: '21', num: 6},
	{ option: '22', num: 6},
	{ option: '23', num: 6},
	{ option: '24', num: 6},
	{ option: '25', num: 7},
	{ option: '26', num: 7},
	{ option: '27', num: 7},
	{ option: '28', num: 7},
	{ option: '29', num: 7},
	{ option: '30', num: 7},
	{ option: '31', num: 7},
	{ option: '32', num: 7},
	{ option: '35', num: 8},
	{ option: '36', num: 8},
	{ option: '37', num: 8},
	{ option: '38', num: 8},
	{ option: '39', num: 8},
	{ option: '40', num: 8},
	{ option: '41', num: 8},
	{ option: '42', num: 8},
	{ option: '43', num: 8},
	{ option: '44', num: 8},
	{ option: '45', num: 8},
	{ option: '46', num: 8},
	{ option: '47', num: 8},
	{ option: '48', num: 8},
	{ option: '49', num: 8},
	{ option: '50', num: 8},
	{ option: '51', num: 8},
	{ option: '52', num: 9},
	{ option: '53', num: 9},
	{ option: '54', num: 9},
	{ option: '55', num: 9},
	{ option: '56', num: 9},
	{ option: '57', num: 10},
	{ option: '58', num: 10},
	{ option: '59', num: 10},
	{ option: '60', num: 11},
	{ option: '61', num: 11}
];
var tableOptionsList = [
	{ option: '9', num: 4},
	{ option: '10', num: 4},
	{ option: '11', num: 4},
	{ option: '12', num: 4},
	{ option: '13', num: 4},
	{ option: '14', num: 4},
	{ option: '16', num: 5},
	{ option: '17', num: 5},
	{ option: '18', num: 5},
	{ option: '19', num: 5},
	{ option: '20', num: 5},
	{ option: '21', num: 6},
	{ option: '22', num: 6},
	{ option: '23', num: 6},
	{ option: '24', num: 6},
	{ option: '25', num: 7},
	{ option: '26', num: 7},
	{ option: '27', num: 7},
	{ option: '28', num: 7},
	{ option: '29', num: 7},
	{ option: '30', num: 7},
	{ option: '31', num: 7},
	{ option: '32', num: 7},
	{ option: '33', num: 7},
	{ option: '34', num: 7},
	{ option: '35', num: 8},
	{ option: '36', num: 8},
	{ option: '37', num: 8},
	{ option: '38', num: 8},
	{ option: '39', num: 8},
	{ option: '40', num: 8},
	{ option: '41', num: 8},
	{ option: '42', num: 8},
	{ option: '43', num: 8},
	{ option: '44', num: 8},
	{ option: '45', num: 8},
	{ option: '46', num: 8},
	{ option: '47', num: 8},
	{ option: '48', num: 8},
	{ option: '49', num: 8},
	{ option: '50', num: 8},
	{ option: '51', num: 8},
	{ option: '52', num: 9},
	{ option: '53', num: 9},
	{ option: '54', num: 9},
	{ option: '55', num: 9},
	{ option: '56', num: 9},
	{ option: '57', num: 10},
	{ option: '58', num: 10},
	{ option: '59', num: 10},
	{ option: '62', num: 12},
	{ option: '63', num: 12},
	{ option: '64', num: 12},
	{ option: '65', num: 13},
	{ option: '66', num: 13},
	{ option: '67', num: 13},
	{ option: '68', num: 14},
	{ option: '69', num: 14},
	{ option: '70', num: 14},
	{ option: '71', num: 14},
	{ option: '72', num: 15},
	{ option: '73', num: 15},
	{ option: '74', num: 15},
	{ option: '75', num: 16},
	{ option: '76', num: 16},
	{ option: '77', num: 17},
	{ option: '78', num: 17},
	{ option: '79', num: 17},
	{ option: '80', num: 17},
	{ option: '81', num: 17},
	{ option: '82', num: 18},
	{ option: '83', num: 18},
	{ option: '84', num: 18},
	{ option: '85', num: 18},
	{ option: '86', num: 18},
	{ option: '87', num: 19},
	{ option: '88', num: 19},
	{ option: '89', num: 19},
	{ option: '90', num: 19},
	{ option: '91', num: 19},
	{ option: '92', num: 19},
	{ option: '93', num: 20},
	{ option: '94', num: 20},
	{ option: '95', num: 20},
	{ option: '96', num: 20}
];



// validate标记
var validateFlag = true

function toValidate() {
	validateFlag = true
	$(document).ready(function () {
		$('input[name*="option_"]').each(function () {
			if (!$(this).val() || $(this).val() == '') {
				var tempOption = $(this).attr('name').replace('option_', '');
				if($(this.parentNode).parent("tr").prevAll().length + 1 > 1){
					return true;
				} else {
					broList.forEach(item =>{
						if (tempOption === item.option) {
							var itemName = '';
							option_list.forEach(i => {
								if (item.num === i.num){
									itemName = i.name
									return false;
								}
							})
							validateFlag = false
							swal("失败！", itemName + ' 存在未填项', "error");
							return false;
						}
					})
				}
				return true;
			}
		});
	});
	$(document).ready(function () {
		$('select[name*="option_"]').each(function () {
			if (!$(this).val() || $(this).val() == '') {
				var tempOption = $(this).attr('name').replace('option_', '');
				if($(this.parentNode).parent("tr").prevAll().length + 1 > 1){
					return true;
				} else {
					broList.forEach(item =>{
						if (tempOption === item.option) {
							var itemName = '';
							option_list.forEach(i => {
								if (item.num === i.num){
									itemName = i.name
									return false;
								}
							})
							validateFlag = false
							swal("失败！", itemName + ' 存在未填项', "error");
							return false;
						}
					})
				}
				return true;
			}
		});
	});

	if (!$('input:radio[name=last_one]:checked').val()) {
		swal("失败！", '21.是否为国家创业孵化示范基地' + ' 存在未填项', "error");
		return;
	}
	if (!$('input:radio[name=last_two]:checked').val()) {
		swal("失败！", '20.是否为国家级备案众创空间' + ' 存在未填项', "error");
		return;
	}

	if (file_list_2.length<1 && old_file_list_2.length<1){
		validateFlag = false
		swal("失败！", '11.由财务部门出具的相关证明照片或PDF格式文件' + ' 存在未填项', "error");
		return;
	}
	if (file_list.length<1 && old_file_list.length<1){
		validateFlag = false
		swal("失败！", '4.填写《关于众创空间运营情况的相关说明》' + ' 存在未填项', "error");
		return;
	}
	if (tempImgList.length<1){
		validateFlag = false
		swal("失败！", '3.每块场地实景照片1张' + ' 存在未填项', "error");
		return;
	}
}

// 问卷全部数据
var formData=[];

// 各表格序号-总方法
function all_order() {
	employ_order();
	incubates_order();
	newPost_order();
	newCourse_order();
    newTeacher_order();
    activity_order();
	competition_order();
	twelve_order();
	thirteen_order();
	borrow_order();
	fourteen_order();
	fifteen_order();
	sixteen_order();
	seventeen_order();
	eighteen_order();
	nineteen_order();
}

// 各表格序号计数方法
function employ_order() {
	var i = 1;
	$(".professionalEmploy_num").each(function(){
		$(this).html(i++);
	})
}
function incubates_order() {
	var i = 1;
	$(".incubates_num").each(function(){
		$(this).html(i++);
	})
}
function newPost_order() {
	var i = 1;
	$(".newPost_num").each(function(){
		$(this).html(i++);
	})
}
function newCourse_order() {
	var i = 1;
	$(".newCourse-num").each(function(){
		$(this).html(i++);
	})
}
function newTeacher_order() {
	var i = 1;
	$(".newTeacher-num").each(function(){
		$(this).html(i++);
	})
}
function activity_order() {
	var i = 1;
	$(".activity-num").each(function(){
		$(this).html(i++);
	})
}
function competition_order() {
	var i = 1;
	$(".competition-num").each(function(){
		$(this).html(i++);
	})
}
function twelve_order() {
	var i = 1;
	$(".twelve-num").each(function(){
		$(this).html(i++);
	})
}
function thirteen_order() {
	var i = 1;
	$(".thirteen-num").each(function(){
		$(this).html(i++);
	})
}
function borrow_order() {
	var i = 1;
	$(".borrow-num").each(function(){
		$(this).html(i++);
	})
}
function fourteen_order() {
	var i = 1;
	$(".fourteen-num").each(function(){
		$(this).html(i++);
	})
}
function fifteen_order() {
	var i = 1;
	$(".fifteen-num").each(function(){
		$(this).html(i++);
	})
}
function sixteen_order() {
	var i = 1;
	$(".sixteen-num").each(function(){
		$(this).html(i++);
	})
}
function seventeen_order() {
	var i = 1;
	$(".seventeen-num").each(function(){
		$(this).html(i++);
	})
}
function eighteen_order() {
	var i = 1;
	$(".eighteen-num").each(function(){
		$(this).html(i++);
	})
}
function nineteen_order() {
	var i = 1;
	$(".nineteen-num").each(function(){
		$(this).html(i++);
	})
}

// 获取表格当前行数
function countTable(table, standard, max){
	var tableNameText = '.'.concat(table)
	var firstRowText = table.concat('-1')
	var tempTable = $(tableNameText);
	if (standard > max || standard <= tempTable.find("tr").length - 1) {
		return;
	}
	var intialNum = tempTable.find("tr").length - 1
	for(;intialNum < standard;){
		if (tempTable.find("tr").length - 1 < standard) {
			fun(tableNameText, firstRowText, max);
			intialNum++
		}
	}

}

// 表格加行方法
function fun(table, row1, max){
	//增加一行,克隆第一个对象
	var $tempRow = $('#' + row1);
	var tempTable = $(table);
	if (tempTable.find("tr").length - 1 < max) {
		var $td = $tempRow.clone();
		$(tempTable).append($td);
		all_order();
		var lastRow = $(tempTable).find('tr:last')   //将尾行元素克隆来的保存的值清空
		$(lastRow).find('[name*="option_"]').val('');
	}
}

// 表格删除当前行方法
function del($td, limit){
	//移除最后一行,并且保留前两行
	var $tr;
	$tr = $($td.parentNode).parent();
	if ($tr.prevAll().length + 1 > limit) {
		$tr.remove();
		all_order();
	}
}

// 下载多文件
function downloadMultiFiles(optionId){
	//虚拟iframe实现无刷新下载文件 get传参
	var url=webroot+"questionnaire/downZipByFileId?optionId="+optionId+"&questionnaireUuid=1";
	var downloadFrame = $('#downloadFrame');
	if(downloadFrame.length == 0){
		downloadFrame = $('<iframe id="downloadFrame" src="" style="display:none"></iframe>');
		$('body').append(downloadFrame);
	}
	downloadFrame.attr('src',url);
}
var imgCount = 0;

var tempImgList = new Array();

// 上传多图片
function upImg(){
	if (tempImgList.length >= 7){
		swal("失败！", '场地实景照片最多上传7张', "error")
	} else {
		$("#projectPlanbookFile_file_div").empty();
		$("#projectPlanbookFile_file_div").html('<input type="file" id="projectPlanbookFile_file" name="mainfile" class="form-control" >');
		$( '#projectPlanbookFile_file' ).prettyFile();
		$("#projectPlanbookFile_DIV").modal('show');
	}
}

function projectPlanbookFile_update(){
	if(fileChangeNo("projectPlanbookFile_file")==true){
		if(imgFileChange("projectPlanbookFile_file")==false){
			return;
		}
		$("#projectPlanbookFile_DIV_ZZSC").show();
		$("#projectPlanbookFile_DIV_SC").hide();
		$.ajaxFileUpload({
			url: webroot+'File/uploadImg',
			secureuri:false,
			dataType: 'json',
			fileElementId : ["projectPlanbookFile_file"],
			success: function (data){//上传成功
				imgCount++;
				$("#projectPlanbookFile_DIV_ZZSC").hide();
				$("#projectPlanbookFile_DIV_SC").show();
				if(data.return==false){
					//alert("只支持jpg、png、gif格式");
					swal("失败！", "只支持jpg、png、gif格式", "error");
					return;
				}
				// if (imgCount > 1){
				// 	var picHtml = '<img src="'+data.date+'" id="img_'+imgCount+'" width="150px" height="100px" style="margin-left: 15px" />';
				// 	picHtml = picHtml + "<label onclick=\"file_DIV_delete_8('"+imgCount+"')\">删除</label>";
				// 	picHtml = picHtml + "<br>"
				// 	$("#img_1").after(picHtml);
				// } else {
				// 	var picHtml = '<img src="'+data.date+'" id="img_1" width="150px" height="100px" /> ';
				// 	picHtml = picHtml + "<label onclick=\"file_DIV_delete_8('"+imgCount+"')\">删除</label>";
				// 	picHtml = picHtml + "<br>";
				// 	$("#demo1").prepend(picHtml);
				// }
				var tempOb ={
					optionsId: 8,
					value: data.date,
					group: imgCount
				}
				tempImgList.push(tempOb);

				img_DIV_List_Show();

				$('#projectPlanbookFile_DIV').modal('hide');
				$("#projectPlanbookFile_file_div").empty();
				$("#projectPlanbookFile_file_div").html('<input type="file" id="projectPlanbookFile_file" name="mainfile" class="form-control" >');
				$( '#projectPlanbookFile_file' ).prettyFile();
			}
		});
	}else{
		// alert("请先选择上传文件");
		swal("失败！", "请先选择上传文件", "error");
	}
}

function img_DIV_List_Show() {
	var prehtml = "";
	for(var file_i in tempImgList) {
		prehtml += "<div>";
		prehtml += "<div class=\"col-sm-8\">";
		prehtml += '<img src="'+tempImgList[file_i].value+'" width="150px" height="100px" />';
		prehtml += "<label onclick=\"previews('"+tempImgList[file_i].value+"')\">预览</label>";
		prehtml += "<label onclick=\"file_DIV_delete_8('"+tempImgList[file_i].group+"')\" style='margin-left: 15px'>删除</label>";
		prehtml += "</div>";
		prehtml += "</div>";
	}
	$("#file_DIV_List_Show_8").html(prehtml);
}

function file_DIV_delete_8(group){
	if(group != ""){
		for(var file_i in tempImgList){
			if(tempImgList[file_i].group == group){
				tempImgList.splice(file_i,1);
				break;
			}
		}
	}
	img_DIV_List_Show();
}

/*删除功能*/
// $(".delbtn").click(function() {
// 	var _this = $(this);
// 	_this.parents(".imageDiv").remove();
// 	var tempGroup = _this.attr("id").replace('img_','')
// 	tempImgList.forEach(item => {
// 		if (item.group == tempGroup){
//
// 		}
// 	})
// });



// 获取暂存数据
function getSaveData() {
	var param = {
		questionnaireUuid: 1
	}
	$.ajax({
		type : "POST",
		url : webroot+"questionnaire/selectDetails?questionnaireUuid=1",
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==false){
				//alert(result.msg);
				swal("失败！", result.msg, "error");
				return;
			}
			processStatus = result.data.processStatus;
			$('#rejectReason').val(result.data.reason);
			$(document).ready(function () {
				$('[name*="option_"]').each(function () {
					var tempOption = $(this).attr('name').replace('option_', '');
					result.data.answerList.forEach(item => {
						if (item.optionsId == tempOption) {
							if (item.group > 1) {
								tableOptionsList.forEach(i => {
									if (tempOption === i.option){
										option_list.forEach(opt => {
											if (i.num === opt.num){
												countTable(opt.table, item.group, opt.max);
												var tempName = $(this).attr('name')
												$("[name="+tempName+"]").each(function () {
													if($(this.parentNode).parent("tr").prevAll().length + 1 === item.group){
														$(this).val(item.value)
														return false;
													}
												})
											}
										})
									}
								})
							}
							else if ($(this.parentNode).parent("tr").prevAll().length + 1 === 1){
								$(this).val(item.value)
							}
						}
					})
				})
			});
			result.data.answerList.forEach(item => {
				if (item.optionsId === 97 && item.value === "是"){
					$("#radio_1").prop("checked",true);
				} else if (item.optionsId === 97) {
					$("#radio_2").prop("checked",true);
				}
				if (item.optionsId === 98 && item.value === "是"){
					$("#radio_3").prop("checked",true);
				} else if (item.optionsId === 98) {
					$("#radio_4").prop("checked",true);
				}
				if (item.optionsId === 8){
					tempImgList.push(item);
				}
				if (item.optionsId === 15){
					$('#download_15').show();
					$('#label_15').show();
					old_file_list.push(item);
				}
				if (item.optionsId === 61){
					$('#download_61').show();
					$('#label_61').show();
					old_file_list_2.push(item);
				}
			})
			img_DIV_List_Show();


		}
	});
}

function saveQuestionnaire(type, isAuto){
	var writePeople = ''
	var phoneNumber = ''
	formData = [];
	$(document).ready(function () {
		$('input[name*="option_"]').each(function () {
			if ($(this).val()) {
				var tempObj = {};
				tempObj['optionsId'] = $(this).attr('name').replace('option_', '');
				if ($(this).attr('name') === 'option_3') {
					writePeople = $(this).val();
				}
				if ($(this).attr('name') === 'option_4') {
					phoneNumber = $(this).val();
				}
				if ($(this.parentNode).parent("tr").prevAll().length + 1) {
					if ($(this.parentNode).parent("tr").prevAll().length > 0){
						tempObj['group'] = $(this.parentNode).parent("tr").prevAll().length + 1;
					} else {
						tempObj['group'] = 1;
					}
				}
				tempObj['value'] = $(this).val();
				formData.push(tempObj)
			}
		});
	});
	$(document).ready(function () {
		$('select[name*="option_"]').each(function () {
			if ($(this).val()) {
				var tempObj = {};
				tempObj['optionsId'] = $(this).attr('name').replace('option_', '');
				if ($(this.parentNode).parent("tr").prevAll().length + 1) {
					if ($(this.parentNode).parent("tr").prevAll().length > 0){
						tempObj['group'] = $(this.parentNode).parent("tr").prevAll().length + 1;
					} else {
						tempObj['group'] = 1;
					}
				}
				tempObj['value'] = $(this).val();
				formData.push(tempObj);
			}
		});
	});

	if ($('input:radio[name=last_two]:checked').val()) {
		var tempObj1 = {};
		tempObj1['optionsId'] = 97;
		tempObj1['group'] = 1;
		tempObj1['value'] = $('input:radio[name=last_two]:checked').val();
		formData.push(tempObj1);
	}
	if ($('input:radio[name=last_one]:checked').val()) {
		var tempObj2 = {};
		tempObj2['optionsId'] = 98;
		tempObj2['group'] = 1;
		tempObj2['value'] = $('input:radio[name=last_one]:checked').val();
		formData.push(tempObj2);
	}

	if (file_list.length<1){
		for(var ofile_id in old_file_list){
			formData.push(old_file_list[ofile_id])
		}
	} else {
		for(var file_i in file_list){
			var fileObj1 = {}
			fileObj1['optionsId'] = 15;
			fileObj1['group'] = file_i;
			fileObj1['value'] = file_list[file_i].fileId
			formData.push(fileObj1)
		}
	}

	if (file_list_2.length<1){
		for(var ofile_id2 in old_file_list_2){
			formData.push(old_file_list_2[ofile_id2])
		}
	} else {
		for(var file_id in file_list_2){
			var fileObj2 = {}
			fileObj2['optionsId'] = 61;
			fileObj2['group'] = file_id;
			fileObj2['value'] = file_list_2[file_id].fileId
			formData.push(fileObj2)
		}
	}

	for (var i in tempImgList){
		var fileObjImg = {}
		fileObjImg['optionsId'] = 8;
		fileObjImg['group'] = i;
		fileObjImg['value'] = tempImgList[i].value
		formData.push(fileObjImg)
	}

	var param = {
		id: 1,
		type: type,
		answersList: formData,
		writePeople: writePeople,
		phoneNumber: phoneNumber
	};

	$.ajax({
		type : "POST",
		url : webroot+"questionnaire/save",
		data : JSON.stringify(param),
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				if (isAuto === 1) {
					if(type === 0){
						layer.msg('已自动暂存');
					}
				} else {
					if(type === 0){
						swal("成功！", "暂存成功！", "success");
					} else {
						swal("成功！", "上报成功！", "success");
					}
				}
			}else{
				swal("失败！", result.msg, "error");
			}
		}
	});
}

// 定时自动暂存
function timeCircleSave() {
	saveQuestionnaire(0, 1);
}
//  上报
function submitQuestionnaire() {
	toValidate();

	if (validateFlag){
		saveQuestionnaire(1);
	}
}

// 图片预览
function previews(url) {
	window.open(`${window.location.origin}${url}`)
}


// 保存上次上传文件
var old_file_list=new Array();
var old_file_list_2=new Array();

// 多文件上传
var file_list=new Array();
var file_list_update_id=1;

var file_list_2=new Array();
var file_list_update_id_2=1;

function file_class(id,fileId,fileName) {
	var file_i = new Object;
	file_i.id = id;
	file_i.fileId = fileId;
	file_i.fileName = fileName;
	return file_i;
}

// 到底是哪个上传
var upload_option = 0

function file_DIV_Show(fileID, option){
	upload_option = option
	if (upload_option === 15){
		if (file_list.length >= 10) {
			swal("失败！",'《关于众创空间运营情况的相关说明》附件最多上传10个文件！', "error");
			return;
		} else {
			$('#uploadTip').html('支持格式: .png、 .jpg、 .gif、 .bmp、 .doc、 .docx、 .pdf、 .xls、 .xlsx、 .ppt、 .pptx、 .txt、 .sav、 .caj')
		}
	} else if (upload_option === 61){
		if (file_list_2.length >= 10){
			swal("失败！",'《关于众创空间运营情况的相关说明》附件最多上传10个文件！', "error");
			return;
		} else {
			$('#uploadTip').html('支持格式: .jpg、 .gif、 .pdf')
		}

	}
	if(fileID == "0"){
		$("#theFile_file_div").empty();
		$("#theFile_file_div").html('<input type="file" id="theFile_file" name="mainfile" class="form-control"  >');
		$( '#theFile_file' ).prettyFile();
	}
	$('#theFile_DIV').modal('show');
}

function file_update(){
	if (upload_option === 15 ){
		if(option15validate("theFile_file")==false){
			return;
		}
	} else if (upload_option === 61){
		if(option61validate("theFile_file")==false){
			return;
		}
	}
	$("#theFile_DIV_ZZSC").show();
	$("#theFile_DIV_SC").hide();
	$.ajaxFileUpload({
		url: webroot+'File/upload',
		secureuri:false,
		dataType: 'json',
		fileElementId : ["theFile_file"],
		success: function (data){//上传成功
			$("#theFile_DIV_ZZSC").hide();
			$("#theFile_DIV_SC").show();
			var fileId=data.fileID;
			var id = file_list_update_id;
			var fileName = data.fileName;
			if (upload_option === 15){
				file_list_update_id++;
				var file_class_i = file_class(id,fileId,fileName);
				file_list.push(file_class_i);
			} else if (upload_option === 61){
				file_list_update_id_2++;
				var file_class_i_2 = file_class(id,fileId,fileName);
				file_list_2.push(file_class_i_2);
			}
			file_DIV_List_Show();
			$('#theFile_DIV').modal('hide');
		}
	});
}

function file_DIV_delete(id){
	if(id != ""){
		for(var file_i in file_list){
			if(file_list[file_i].id == id){
				file_list.splice(file_i,1);
				break;
			}
		}
	}
	file_DIV_List_Show();
}
function file_DIV_delete_61(id){
	if(id != ""){
		for(var file_i in file_list_2){
			if(file_list_2[file_i].id == id){
				file_list_2.splice(file_i,1);
				break;
			}
		}
	}
	file_DIV_List_Show();
}

function file_DIV_List_Show(option){
	var html= "";
	if (upload_option === 15){
		for(var file_i in file_list){
			html += "<div>";
			html += "<div class=\"col-sm-8\">";
			html += "<label >文件名称："+file_list[file_i].fileName+"</label>";
			html += "</div>";
			html += "<div class=\"col-sm-3\">";
			html += "<label class=\"project_information_class_hover\" onclick=\"file_DIV_delete('"+file_list[file_i].id+"')\">删除</label>";
			html += "</div>";
			html += "</div>";
		}
		$("#file_DIV_List_Show_15").html(html);
	} else if (upload_option === 61){
		for(var i in file_list_2){
			html += "<div>";
			html += "<div class=\"col-sm-8\">";
			html += "<label >文件名称："+file_list_2[i].fileName+"</label>";
			html += "</div>";
			html += "<div class=\"col-sm-3\">";
			html += "<label class=\"project_information_class_hover\" onclick=\"file_DIV_delete_61('"+file_list_2[i].id+"')\">删除</label>";
			html += "</div>";
			html += "</div>";
		}
		$("#file_DIV_List_Show_61").html(html);
	}

}