$(function () {
	indexAllArticleTableONLINESpace();
	
})
var oTable;
var page_start=0;
/**
 * 团队人员信息
 * @returns
 */
function indexAllArticleTableONLINESpace()
{
	 $(document).ready(function() {
		     oTable = $('#hidden-table-info').dataTable( {
		        "aoColumnDefs": [
		            { "bSortable": false, "aTargets": [ 8 ] }
		        ],
		        "oLanguage": {
					           "sEmptyTable": "无目录数据！",
					           "sInfoFiltered":"(全部有 _MAX_ 条数据)"
					         },
		        "aaSorting": [[0, 'asc']],
		        "bDestroy": true,
		        "aoColumns": [
		           { "sTitle": "人员编号",   "mData": "memberID" },
		           { "sTitle": "团队成员",   "mData": "memberName" },
		           { "sTitle": "职务",       "mData": "job" },
		           { "sTitle": "手机号",   "mData": "memberTell" },
		           { "sTitle": "身份",       "mData": "principalIdentity" },
		           { "sTitle": "最高学历",   "mData": "memberEducation" },
		           { "sTitle": "工作单位及职务",   "mData": "principalTeamJob" },
		           { "sTitle": "相关材料证书",   "mData": "principalBookFileName" ,"searchable": false}, 	
		           { "sTitle": "操作", "mData": "editable","width": "250px","searchable": false}
		        ],
				"sAjaxSource":webroot+"teamMessage/getAllMemberSpace",
				"sAjaxDataProp": "list",
				"initComplete": function(settings, json) {
					oTable.fnPageChange(page_start);
				}
		    });
		    $('#hidden-table-info_filter input').on( 'keyup change', function () {  
		           // alert(this.value);
			    	$("#hidden-table-info tbody").removeHighlight();
			    	if(this.value!=""){
			    		$("#hidden-table-info tbody").highlight(this.value);
			    	}    
			    });
		    
		} );
}
/**
 * 团队成员被开除
 */

function  setAllMember_teamStatus(memberID)
{
	var data={};
	data['memberID'] = memberID;
	data['teamMemberStatus'] = 1;
	$.ajax({
		type : "POST",
		url : webroot+"teamMessage/setProjectStats",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if (result.result==false){
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}else {
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
				indexAllArticleTableONLINESpace();
			}
			
		}
	});	
}

