$(function () {
	$('.colorpicker-demo1').colorpicker();
    $('.colorpicker-demo2').colorpicker();
	banner_DIV_Show();
	$(function(){ 
		var w = $("#demo1").width();//容器宽度 
		$("#demo1 img").each(function(){//如果有很多图片，我们可以使用each()遍历 
		var img_w = $(this).width();//图片宽度 
		var img_h = $(this).height();//图片高度 
		if(img_w>w){//如果图片宽度超出容器宽度--要撑破了 
		var height = (w*img_h)/img_w; //高度等比缩放 
		$(this).css({"width":w,"height":height});//设置缩放后的宽度和高度 
		} 
		}); 
	}); 
	$("#id_selectColor").bind("input propertychange", function() {
		project_load();
	});
	$("#id_fonzColor").bind("input propertychange", function() {
		project_load();
	});
	$("#material_img").bind("input propertychange", function() {
		project_load();
	});
	$('.colorpicker-demo1').colorpicker().on('changeColor', function(ev){
		project_load();
		});
	$('.colorpicker-demo2').colorpicker().on('changeColor', function(ev){
		project_load();
		});
})

function banner_DIV_Show(){
	$('.colorpicker-demo1').colorpicker("setValue","#000000");
	$("#id_selectColor").val("#000000");
	$('.colorpicker-demo2').colorpicker("setValue","#ffffff");
	$("#id_fonzColor").val("#ffffff");
	$.ajax({
		type : "POST",
		url : webroot+"Banner/getOneTopSpaceAppearance",
		data : "",
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			var topSpaceAppearance=result.topSpaceAppearance;
			if(topSpaceAppearance!=null){
				$("#material_img").val(topSpaceAppearance.img);
				$("#img").attr('src',topSpaceAppearance.img); 
				var id_selectColor=topSpaceAppearance.selectColor;
				var id_fonzColor=topSpaceAppearance.fontColor;
				var material_img=topSpaceAppearance.img;
				if(material_img!=""){
					$("#show_logo").attr("src",material_img);
				}
				if(id_fonzColor!=""){
					$("a[name='name_fonzColor']").css("color",id_fonzColor);
					$("#id_fonzColor").val(id_fonzColor);
					$('.colorpicker-demo2').colorpicker("setValue",id_fonzColor);
				}
				if(id_selectColor!=""){
					$("#nav").css("background-color",id_selectColor);
					$("#id_selectColor").val(id_selectColor);
					$('.colorpicker-demo1').colorpicker("setValue",id_selectColor);
				}
			}else{
				var html="";
				html+="<li><a name=\"name_fonzColor\">首页</a></li>";
				html+="<li><a name=\"name_fonzColor\">新闻公告</a></li>";
				html+="<li><a name=\"name_fonzColor\">推荐项目</a></li>";
				html+="<li><a name=\"name_fonzColor\">空间活动</a></li>";
				$("#ui_fonzColor").html(html);
				$("#nav").css("background-color","");
				$("#show_logo").attr("src",webroot+"res/js/web/image/logo.png");
				$("#img").attr('src',webroot+"res/js/web/image/logo.png"); 
				$("#material_img").val(webroot+"res/js/web/image/logo.png");
			}
			
		}
	});	
}
function project_load(){
	var id_selectColor=$("#id_selectColor").val();
	var id_fonzColor=$("#id_fonzColor").val();
	var material_img=$("#material_img").val();
	if(material_img!=""){
		$("#show_logo").attr("src",material_img);
	}
	if(id_fonzColor!=""){
		$("a[name='name_fonzColor']").css("color",id_fonzColor);
	}
	if(id_selectColor!=""){
		$("#nav").css("background-color",id_selectColor);
	}
}
function project_save(){
	var id_selectColor=$("#id_selectColor").val();
	var id_fonzColor=$("#id_fonzColor").val();
	var material_img=$("#material_img").val();
	var id_tell=$("#id_tell").val();
	var id_address=$("#id_address").val();
	if(material_img==""){
		//alert("请选择照片！");
		swal("失败！","请选择照片！", "error");
		return;
	}
	if(id_fonzColor==""){
		//alert("请选择照片！");
		swal("失败！","请选择字体颜色！", "error");
		return;
	}
	if(id_selectColor==""){
		//alert("请选择照片！");
		swal("失败！","请选择导航栏颜色！", "error");
		return;
	}
	if(id_tell==""){
		//alert("请选择照片！");
		swal("失败！","请输入底边显示联系电话！", "error");
		return;
	}
	if(id_address==""){
		//alert("请选择照片！");
		swal("失败！","请输入底边显示联系地址！", "error");
		return;
	}
	var data={};
	data['img'] = material_img;
	data['selectColor'] = id_selectColor;
	data['fontcolor'] = id_fonzColor;
	data['tell'] = id_tell;
	data['address'] = id_address;
	$.ajax({
		type : "POST",
		url : webroot+"Banner/saveTopSpaceAppearance",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				banner_DIV_Show();
				
				swal("成功！", result.msg, "success");
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
			
		}
	});	
	
}
function upImg(){
	$("#projectPlanbookFile_file_div").empty();
	$("#projectPlanbookFile_file_div").html('<input type="file" id="projectPlanbookFile_file" name="mainfile" class="form-control" >');
	$( '#projectPlanbookFile_file' ).prettyFile();
	$("#projectPlanbookFile_DIV").modal('show');
}
function projectPlanbookFile_update(){
    if(fileChangeNo("projectPlanbookFile_file")==true){
    	if(imgFileChange("projectPlanbookFile_file")==false){
    		return;
    	}
    	$("#projectPlanbookFile_DIV_ZZSC").show();
    	$("#projectPlanbookFile_DIV_SC").hide();
    	$.ajaxFileUpload({  
    	    url: webroot+'File/uploadImg',  
    	    secureuri:false, 
    	    dataType: 'json',
    	    fileElementId : ["projectPlanbookFile_file"],  
    	    success: function (data){//上传成功
    	    	$("#projectPlanbookFile_DIV_ZZSC").hide();
    	    	$("#projectPlanbookFile_DIV_SC").show();
    	    	if(data.return==false){
    	    		//alert("只支持jpg、png、gif格式");
    	    		swal("失败！","只支持jpg、png、gif格式", "error");
    	    		return;
    	    	}
    	    	$("#img").attr('src',data.date); 
    	    	$("#material_img").val(data.date);
    	    	$('#projectPlanbookFile_DIV').modal('hide');
				$("#projectPlanbookFile_file_div").empty();
				$("#projectPlanbookFile_file_div").html('<input type="file" id="projectPlanbookFile_file" name="mainfile" class="form-control" >');
				$( '#projectPlanbookFile_file' ).prettyFile();
				project_load();
            }
    	});
    	
    }else{
   	 //alert("请先选择上传文件"); 
   	swal("失败！","请先选择上传文件", "error");
   	 
    }
}
